%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}
%{expand:%%define mnogo_version %(rpm -q --qf "[%%{version}]" libmnogosearch3.2-devel)}

%define rversion	1.87
%define release		1mdk

%define realname	MnoGoSearch
%define modname		mnogosearch
%define dirname		%{modname}
%define soname		%{modname}.so
%define inifile		33_%{modname}.ini
%define mod_src		%{modname}.c

Summary:		The %{realname} module for PHP
Name:			php-%{modname}
Version:		%{phpversion}_%{rversion}
Release:		%{release}
Group:			System/Servers
URL:			http://www.mnogosearch.org/
License:		PHP License
Source0:		%{modname}-php-extension-%{rversion}.tar.bz2
Requires:		php%{libversion}
BuildRequires:  	php%{libversion}-devel
BuildRequires:		libmnogosearch-devel >= %{mnogo_version}
BuildRoot:		%{_tmppath}/%{name}-root

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

%prep
%setup -q -n %{rversion}

# hack :)
perl -p -i -e "s|udm-config|mnogosearch-%{mnogo_version}-config|g" config.m4

%build

export EXTRA_INCLUDES="-I%{_includedir}/mnogosearch-%{mnogo_version} -I%{_includedir}"

phpize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix} \
    --with-openssl=%{_prefix}

%make
mv modules/*.so .
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_docdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README README.%{modname} index.php
%{phpdir}/extensions/%{soname}
%config(noreplace) %{_sysconfdir}/php.d/%{inifile}

%changelog
* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.87-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.87-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.87-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.87-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.87-1mdk
- 1.87
- built for php 4.3.6

* Sat Nov 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.83-1mdk
- 1.83

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.82-1mdk
- built for php 4.3.4

* Wed Oct 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_1.82-1mdk
- 1.82
- built against new mnogosearch
- fix invalid-build-requires
- fix explicit-lib-dependency

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_1.80-1mdk
- 1.80
- built for php 4.3.3
- misc spec file fixes

* Wed Jun 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_1.72-1mdk
- built for 4.3.2

* Tue Apr 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_1.72-1mdk
- rebuilt against latest buildrequires
- 1.72
- misc spec file fixes
- fix buildrequires, thanks to Stefan van der Eijks robot

* Sat Apr 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_1.68-2mdk
- rebuilt against latest buildrequires, but with a twist :)

* Tue Feb 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_1.68-1mdk
- fix the php versioning

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.68-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.68-2mdk
- rebuilt against rebuilt buildrequires
- fix requires & buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.68-1mdk
- built against php-4.3.0
- 1.68
- follow the spec file design as in main
- use provided %{phpdir}/build/php-killrpath ;)

* Sun Sep 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.65-1mdk
- initial cooker contrib
